/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/enumeration/EqualsCliEnumTransformer.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.cli.enumeration;


/**
 * CliEnumTransformer whose CLI options equals the enumeration value name.
 * 
 * Example:  Enum.CONSTANT <=> "CONSTANT"
 * 
 * @author philipc
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class EqualsCliEnumTransformer extends AbstractCliEnumTransformer {

    public String enumToCliOption(Enum<?> enumerationValue) {
        return enumerationValue.name();
    }
    
}
