/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/PlatformConfigBundle.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform;

import com.netapp.common.util.ConfigBundle;
import com.netapp.common.util.ConfigProperty;

public class PlatformConfigBundle extends ConfigBundle {
    /**
     * @param configFiles
     */
    public PlatformConfigBundle(String... configFiles) {
        super(configFiles);
    }

    public PlatformConfigBundle() {
        super("platform.default", "platform.config", "platform.override");
    }
    
    public static final ConfigProperty<Boolean> DISABLE_CHANNEL_COPY = ConfigProperty.booleanProperty("disableChannelCopy", false);
}
