/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/unix/FileSystemNativeImpl.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.unix;

import com.netapp.common.platform.FileSecurityDescriptor;
import com.netapp.common.platform.JNIException;

public class FileSystemNativeImpl implements FileSystemNative {
    static {
        System.loadLibrary("com_netapp_common_platform_unix_FileSystemNativeImpl");
    }

    public native int chmod(String path, int mode) throws JNIException;
    public native int chown(String path, int ownerId, int groupId) throws JNIException;
    public native int getGIDFromGroupname(String groupname);
    public native int getUIDFromUsername(String username);
    public native FileSecurityDescriptor getFileSecurityDescriptor(String path) throws JNIException;
    public native boolean userInGroup(String username, String groupname);
}
