/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/unix/UserImpl.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.unix;

import com.netapp.common.platform.User;

public class UserImpl implements User {
    
    private String name;
    
    private int uid;

    UserImpl(int uid, String name) {
        this.uid = uid;
        this.name = name;
    }
    
    public String getName() {

        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getUid() {
        return this.uid;
    }

    public void setUid(int uid) {
        this.uid = uid;
    }

    @Override
    public int hashCode() {
        
        final int prime = 31;
        int result = 1;
        result = prime * result + ((this.name == null) ? 0 : this.name.hashCode());
        result = prime * result + this.uid;
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        
        if (obj == this) {
            return true;
        }
        
        if (obj instanceof UserImpl) {
            UserImpl rhs = (UserImpl)obj;
            
            return this.uid == rhs.uid && this.name.equals(rhs.name);
        }
        
        return false;
    }
    
    @Override
    public String toString() {
        
        return this.name;
    }
}
