/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/windows/FileSystemNativeImpl.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.windows;

import com.netapp.common.platform.FileOwner;
import com.netapp.common.platform.FileSecurityDescriptor;
import com.netapp.common.platform.JNIException;

public class FileSystemNativeImpl implements FileSystemNative {
    static {
        System.loadLibrary("filesystem");
    }

    public native GroupImpl getGroupFromGroupname(String groupname) throws JNIException;
    public native UserImpl getUserFromUsername(String username) throws JNIException;
    public native void changeOwner(String path, FileOwner owner) throws JNIException;
    public native FileSecurityDescriptor getFileSecurityDescriptor(String path) throws JNIException;
    public native void setFileSecurityDescriptor(String path, FileSecurityDescriptorImpl descriptor) throws JNIException;
    public native boolean canExecute(String path, UserImpl user);
}
