/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/ErrorCode.java#1 $
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi;

/**
 * Interface for ErrorEnums where the java enum has an underlying
 * integer status code from the api.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface ErrorCode {
    /**
     * Get the numeric error code for this object
     * @return error code
     */
    int getCode();
    
    /**
     * Test if this enum represents the given code.
     * @param code
     * @return true if this.code == code
     */
    boolean isCode(int code);
}
