/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/ZAPIRunnerException.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi;

/**
 * Thrown when there was an error encountered during a ZAPIRunner execution.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class ZAPIRunnerException extends RuntimeException {

    /**
     * Thrown when there was an internal error during a ZAPIRunner execution.
     */
    private static final long serialVersionUID = 1L;

    public ZAPIRunnerException(String msg) {
        super(msg);
    }
    
    public ZAPIRunnerException(String msg, Throwable t) {
        super(msg, t);
    }
}
