/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/CliCommand.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.cli;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotates a method with the information necessary to transform it into command in the CLI.
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface CliCommand {
    String command();
    String subCommand() default Command.NONE;
}
