/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/credentials/client/CredentialClientConstants.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc. 
 * All rights reserved.
 */
package com.netapp.common.credentials.client;

import com.netapp.common.util.ConfigProperty;

public interface CredentialClientConstants {
    /**
     * Path to the servers public X.509 certificate file.
     */
    ConfigProperty<String> SERVER_PUBLIC_KEY_PATH = ConfigProperty.stringProperty("credential.asymmetric.server.public.path");

    /**
     * Path to the clients private key file.
     */
    ConfigProperty<String> CLIENT_PRIVATE_KEY_PATH = ConfigProperty.stringProperty("credential.asymmetric.client.private.path");
}
