/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/OperationResource.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow;

public class OperationResource {
    private String operationName;
    private String workflowResource;
    
    public String getOperationName() {
        return operationName;
    }
    
    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }
    
    public String getWorkflowResource() {
        return workflowResource;
    }
    
    public void setWorkflowResource(String resource) {
        this.workflowResource = resource;
    }
    
    @Override
    public boolean equals(Object o) {
        if (o == this) {
            return true;
        }
        
        if (o instanceof OperationResource) {
            OperationResource opResource = (OperationResource)o;
            
            return opResource.operationName.equals(this.operationName);
        }
        
        return false;
    }
    
    @Override
    public int hashCode() {
        return this.operationName.hashCode();
    }
}
