/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/text/SubstitutionPatternSyntaxException.java#1 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.text;

public class SubstitutionPatternSyntaxException extends RuntimeException {

    private boolean missingVariables;
    private boolean invalidVariables;
 
    public SubstitutionPatternSyntaxException(String message, boolean missingVariables, boolean invalidVariables) {
        super(message);
        this.missingVariables = missingVariables;
        this.invalidVariables = invalidVariables;
    }
    
    public SubstitutionPatternSyntaxException(String message) {
        super(message);
    }
    
    public boolean hasMissingVariables() {
        return missingVariables;
    }
    
    public boolean hasInvalidVariables() {
        return invalidVariables;
    }
}
